/* Read ".HEX" files and store it in memory
   Copyright 2001, 2002, 2003, 2004, 2005
   Craig Franklin
*/

#pragma once

typedef struct hex_data {
  enum formats hex_format;
  int    size;
  bool   error;
#ifdef __cplusplus
  hex_data():hex_format(INHX8M),size(0),error(false) {}
#endif
} hex_data_t;

FUNC(hex_data_t*) gp_readhex(const char *filename, MemBlock_t *m);

